﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace Věž_z_Lega
{
    class Cubes
    {
        public int X { get; set; }
        public int Y { get; set; }
        public Color @Color { get; set; }
        public int Count { get; set; }

        public Cubes(int x, int y, string color, int count)
        {
            this.X = x;
            this.Y = y;
            this.Count = count;
            switch (color)
            {
                case "A":
                    this.Color = Color.FromRgb(0, 255, 255);
                    break;
                case "R":
                    this.Color = Color.FromRgb(255, 0, 0);
                    break;
                case "G":
                    this.Color = Color.FromRgb(0, 255, 0);
                    break;
                case "B":
                    this.Color = Color.FromRgb(0, 0, 255);
                    break;
                case "Y":
                    this.Color = Color.FromRgb(255, 255, 0);
                    break;
            }
        }

        public Cubes(int x, int y, Color color, int count)
        {
            this.X = x;
            this.Y = y;
            this.Count = count;
            this.Color = color;
        }

        public Cube ToCube()
        {
            return new Cube(this.X, this.Y, this.Color);
        }
    }
}
