﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace Věž_z_Lega
{
    class CubeInLayer
    {
        public int X { get; set; }
        public int Y { get; set; }
        public Color @Color { get; set; }
        public int XPos { get; set; }
        public int YPos { get; set; }

        public CubeInLayer(int x, int y, Color color, int xPos, int yPos)
        {
            this.X = x;
            this.Y = y;
            this.Color = color;
            this.XPos = xPos;
            this.YPos = yPos;
        }

        public Cube RotateCube()
        {
            return new Cube(this.X, this.X, this.Color);
        }

        public string GetColor()
        {
            if (this.Color == Color.FromRgb(0, 255, 255)) return "A";
            else if (this.Color == Color.FromRgb(255, 0, 0)) return "R";
            else if (this.Color == Color.FromRgb(0, 255, 0)) return "G";
            else if (this.Color == Color.FromRgb(0, 0, 255)) return "B";
            else return "Y";
        }
    }
}
